import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';
import { MicroserviceOptions, Transport } from '@nestjs/microservices';
import { join } from 'path';

async function bootstrap() {
  const app = await NestFactory.createMicroservice<MicroserviceOptions>(AppModule, {
    transport: Transport.GRPC,
    options: {
      package: 'auth_service',
      protoPath: join(__dirname, '../proto/auth_service.proto'),
      url: '0.0.0.0:5010',
    },
  });
  await app.listen();
  console.log('auth-service running on gRPC :5010');
}
bootstrap();
